/*
    Spakes - a client/server Snakes-clone for up to 4 players
    Copyright (C) 2001, 2002, 2004  Markus Triska

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact me at triska@gmx.at
*/

/* This class encapsulates a logfile. When it is instantiated, it uses a
   hitherto unused name for the file (log0, log1, log2, log3 etc.) to allow
   testing the program (i.e., running at least 2 clients) on a single host. */


#include <fstream>
#include <string>
#include <sstream>


//#define WRITELOG

class MyLogFile
{
	std::ofstream *logfile;
public:
#ifdef WRITELOG
	MyLogFile();
	~MyLogFile() { delete logfile; }

	MyLogFile &operator<<(std::string &s) { *logfile << s; return *this; }
	MyLogFile &operator<<(int i) { *logfile << i; return *this; }
	MyLogFile &operator<<(char *s) { *logfile << s; return *this; }
#else
	MyLogFile &operator<<(std::string &s) { return *this; }
	MyLogFile &operator<<(int i) { return *this; }
	MyLogFile &operator<<(char *s) { return *this; }
#endif

};
