/*
    Spakes - a client/server Snakes-clone for up to 4 players
    Copyright (C) 2001, 2002, 2004  Markus Triska

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact me at triska@gmx.at
*/

#include <string>
#include <vector>

class Event;
class Player;

class Server
{
public:
	bool receive_command(std::string &);
	bool send_tick(Player &) const;
	bool Connect(const std::string &);
	void send_version_ok();
	void login_primary(const std::string &name, unsigned short port);
	void login_secondary(const std::string &);
	void logout();
	Server() { servfd = -1; readpos = writepos = 0;}
	bool get_game_info();

private:
	int servfd;
	int read_byte(unsigned char &);
	int read_line(std::string &);
	char data[200];
	int readpos, writepos;
};
